Name:    lxqt-common
Summary: Common resources for LXQt desktop suite
Version: 0.9.1
Release: 3%{?dist}
License: LGPLv2+
URL:     http://lxqt.org/
Source0: http://downloads.lxqt.org/lxqt/0.9.0/lxqt-common-%{version}.tar.xz
Source1: lxqt-theme-fedora.tar.xz 
Patch0:  lxqt-common-0.9.1-fedora-defaults.patch
BuildArch: noarch

Requires: oxygen-cursor-themes
Requires: oxygen-icon-theme
Requires: fedora-logos
Requires: desktop-backgrounds-compat
Requires: dbus-x11
Requires: lxqt-theme

BuildRequires: cmake >= 2.8.9
BuildRequires: pkgconfig(Qt5Xdg)
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: pkgconfig(lxqt)
BuildRequires: kf5-kwindowsystem-devel >= 5.5
BuildRequires: desktop-file-utils

%description
%{summary}.

%package -n lxqt-theme-fedora
Summary: Default Fedora theme for LXQt
Provides: lxqt-theme = %{version} 

%description -n lxqt-theme-fedora
%{summary}.

%prep
%setup -q
%patch0 -p1 -b .fedora_defaults

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
	%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

desktop-file-validate %{buildroot}/%{_datadir}/xsessions/lxqt.desktop

for desktop in %{buildroot}%{_sysconfdir}/xdg/autostart/*.desktop; do
	desktop-file-edit --remove-only-show-in=LXQt --add-only-show-in=X-LXQt ${desktop}
done

# Fedora theme
pushd %{buildroot}/%{_datadir}/lxqt/themes/ 
	tar	xfJ %{SOURCE1}
popd

%posttrans
update-desktop-database -q &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
update-desktop-database -q &> /dev/null || :
fi


%files
%{_bindir}/startlxqt	
%dir %{_sysconfdir}/xdg/lxqt
%{_sysconfdir}/xdg/autostart/lxqt-*
%config(noreplace) %{_sysconfdir}/xdg/lxqt/*
%{_datadir}/xsessions/lxqt.desktop
%dir %{_sysconfdir}/xdg/pcmanfm-qt
%config(noreplace) %{_sysconfdir}/xdg/pcmanfm-qt/lxqt/settings.conf
%dir %{_datadir}/lxqt
%{_datadir}/lxqt/themes
%{_datadir}/lxqt/graphics
%{_datadir}/lxqt/openbox
%{_datadir}/desktop-directories/lxqt-settings.directory
%{_sysconfdir}/xdg/menus/lxqt-applications.menu
%{_datadir}/desktop-directories/lxqt-leave.directory
%{_datadir}/icons/hicolor/*/*/*
%exclude %{_datadir}/apps/kdm/sessions/lxqt.desktop
%exclude %{_datadir}/lxqt/themes/Fedora

%files -n lxqt-theme-fedora
%dir %{_datadir}/lxqt/themes/Fedora
%{_datadir}/lxqt/themes/Fedora/*

%changelog
* Sat Feb 28 2015 Helio Chissini de Castro <helio@kde.org> - 0.9.1-3
- Fixed xdg entriy preventing session to load proper lxqt resources
- Added Fedora theme and make it default

* Wed Feb 18 2015 Helio Chissini de Castro <helio@kde.org> - 0.9.1-2
- Rebuild (gcc5)

* Sun Feb 15 2015 Helio Chissini de Castro <helio@kde.org> - 0.9.1-1
- New 0.9 series patch release to fix issues related to 0.9.0.

* Wed Feb 11 2015 Helio Chissini de Castro <helio@kde.org> - 0.9.0-5
- Assign ownership of %{_datadir}/lxqt to lxqt-common

* Tue Feb 10 2015 Helio Chissini de Castro <helio@kde.org> - 0.9.0-4
- startlxqt tries to launch dbus-session, so it need requires dbus-x11

* Tue Feb 10 2015 Helio Chissini de Castro <helio@kde.org> - 0.9.0-3
- Major theme issue on 0.9.0 tarball. Recreated from fix master git.

* Sun Feb 08 2015 Helio Chissini de Castro <helio@kde.org> - 0.9.0-2
- Missing upstream files during the tarball release

* Sun Feb 08 2015 Helio Chissini de Castro <helio@kde.org> - 0.9.0-1
- New upstream release 0.9.0

* Tue Feb 03 2015 Helio Chissini de Castro <hcastro@redhat.com> - 0.9.0-0.1
- Preparing 0.9.0

* Mon Dec 29 2014 Helio Chissini de Castro <hcastro@redhat.com> - 0.8.0-10
- Rebuild against new Qt 5.4.0

* Mon Dec 22 2014 Helio Chissini de Castro <hcastro@redhat.com> - 0.8.0-9
- Validate XDG desktop entry. Reenable regular sessions

* Fri Dec 19 2014 Helio Chissini de Castro <hcastro@redhat.com> - 0.8.0-8
- Unify naming as discussed on Fedora IRC

* Fri Dec 19 2014 Rex Dieter <rdieter@fedoraproject.org> - 0.8.0-7
- fix lxqt-policykit autostart (moved to libexec)
- don't mark autostart as %%config

* Mon Nov 10 2014 Helio Chissini de Castro <hcastro@redhat.com> - 0.8.0-6
- For some reason Xdg went away on buildreqs.

* Mon Nov 10 2014 Helio Chissini de Castro <hcastro@redhat.com> - 0.8.0-5
- Validate desktop files adding X- since is not a valif group on freedesktop yet
- Owns xdg/lxqt directory

* Mon Nov 10 2014 Helio Chissini de Castro <hcastro@redhat.com> - 0.8.0-4
- Fix review issues on https://bugzilla.redhat.com/show_bug.cgi?id=1158632
- Moved fedora theme package away as agreed nee to be in a separate package

* Thu Oct 30 2014 Helio Chissini de Castro <hcastro@redhat.com> - 0.8.0-3
- Borrowed an upstream patch for XDG. Thanks to Florian Hubbold from Mageia

* Wed Oct 29 2014 Helio Chissini de Castro <hcastro@redhat.com> - 0.8.0-2
- Small modification to submit package for review

* Mon Oct 27 2014 Helio Chissini de Castro <hcastro@redhat.com> - 0.8.0-1
- First release to LxQt new base
